<%@ include file="beans.jsp" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>

<%
    String url = "jdbc:mysql://localhost/cdstore";
    
    String username = "root";
    String pass = "password";
      
    Connection connection = null;
    Connection stockConnection = null;
    String classPath = "org.gjt.mm.mysql.Driver";
    
    try
    {
        Class.forName( classPath );			
        connection = DriverManager.getConnection( url, username, pass );
        stockConnection = DriverManager.getConnection( url, username, pass);
    }
    catch (Exception e)
    {
        out.println(e.toString());
    }
    
    String view = request.getParameter("view");
    if (view == null)
    {
        view = "null";
    }
    
    Statement statement = connection.createStatement();
    String query = null;
    ResultSet results = null;
    
    String lowStockQuery = null;
    ResultSet lowStockResults = null;
    
    // since the admin can view all products or only products low in stock, pull the necessary information depending on what choice they make
    if (view.equals("low") == false)
    {
        query = "SELECT * FROM cds ORDER BY title;";
        results = statement.executeQuery(query);
    }
    else
    {        
        lowStockQuery = "SELECT * FROM cds WHERE in_stock <= low_stock ORDER BY title;";
        lowStockResults = statement.executeQuery(lowStockQuery);
    }
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
        <title>CD store - Stock Information</title>
    </head>
    <% String linkColor = currentUser.getLinkColor(); %>
    <body link="<%= linkColor %>" alink="<%= linkColor %>" vlink="<%= linkColor %>">
        <%@include file="tableupper.jsp" %>
        <%
        if (currentUser.isAdmin() == true)
        {
        %>
            
            <center>
                <h1>Current stock information</h1>
                
                <form action="currentstock.jsp" method="get">
                    View: <select name="view">
                    <%
                        if (view.equals("low") == true)
                        {
                    %>
                            <option value="all">All products</option>
                            <option value="low" selected="selected">Low in stock</option>
                    <%
                        }
                        else
                        {
                    %>
                            <option value="all">All products</option>
                            <option value="low">Low in stock</option>
                    <%
                        }
                    %>
                        
                    </select>
                    <br/>
                    <input type="submit" value="View"/>
                </form>
            
                <table width="85%" border="0">
                    <tr>
                        <th>CD Title</th>
                        <th>Artist</th>
                        <th>Sale Price</th>
                        <th>Low Stock level</th>
                        <th>Current Stock level</th>
                        <th><br/></th>
                    </tr>
                    <tr>
                        <td colspan="6"><hr/></td>
                    </tr>
            <%
                if (view.equals("low") == true) // if the admin is viewing only low in stock
                {
                    int lowStockCount = 0;
                    while (lowStockResults.next())
                    {
                        String prodID = lowStockResults.getString("id");
                        lowStockCount = lowStockCount + 1;
            %>
                        <tr>
                            <% 
                                double tempPrice = Double.parseDouble(lowStockResults.getString("price"));
                                String price = NumberFormat.getCurrencyInstance(Locale.US).format(tempPrice); 
                            %>
                            <td align="center"><%= lowStockResults.getString("title") %></td>
                            <td align="center"><%= lowStockResults.getString("artist") %></td>
                            <td align="center"><%= price %></td>
                            <td align="center"><%= lowStockResults.getString("low_stock") %></td>
                            <td bgcolor="red" align="center"><%= lowStockResults.getString("in_stock") %></td>
                            <td align="center"><a href="productinfo.jsp?product=<%= prodID %>">Edit Product Information</a></td>
                        </tr>
            <%
                    }
                    
                    if (lowStockCount == 0)
                    {
            %>
                        <tr>
                            <td colspan="5" align="center"><h1>There are no products low in stock</h1></td>
                        </tr>
            <%
                    }
                }
                else // otherwise display all items and their sock level
                {
                    while (results.next())
                    {
                        String prodID = results.getString("id");
            %>
                        <tr>
                            <% 
                                double tempPrice = Double.parseDouble(results.getString("price"));
                                String price = NumberFormat.getCurrencyInstance(Locale.US).format(tempPrice);
                                String lowStock = results.getString("low_stock");
                                String inStock = results.getString("in_stock");
                            %>
                            <td align="center"><%= results.getString("title") %></td>
                            <td align="center"><%= results.getString("artist") %></td>
                            <td align="center"><%= price %></td>
                            <td align="center"><%= lowStock %></td>
                    <%
                        if (Integer.parseInt(lowStock) >= Integer.parseInt(inStock))
                        {
                            out.println("<td bgcolor=\"red\" align=\"center\">" + inStock + "</td>");
                        }
                        else
                        {
                            out.println("<td align=\"center\">" + inStock + "</td>");
                        }
                    %>
                            <td align="center"><a href="productinfo.jsp?product=<%= prodID %>">Edit Product Information</a></td>
                        </tr>
            <%
                    }
                }
            %>
                    <tr>
                        <td colspan="6"><hr/></td>
                    </tr>
                </table>
            </center>
        <%
        }
        else
        {
            out.println("<center><h1>You must be logged in as an administrator to view this page</h1></center>");
        }

        connection.close();
        %>	
        <%@include file="tablelower.jsp" %>
    </body>
</html>