<%@ include file="beans.jsp" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.util.*" %>
<%@ page import="edu.montana.cs.*" %>

<%
    String url = "jdbc:mysql://localhost/cdstore";
    
    String username = "root";
    String pass = "password";
      
    Connection connection = null;
    String classPath = "org.gjt.mm.mysql.Driver";
    
    try
    {
        Class.forName( classPath );			
        connection = DriverManager.getConnection( url, username, pass );
    }
    catch (Exception e)
    {
        out.println(e.toString());
    }
    
    boolean goodLogin = false;
    String userName = request.getParameter("userName");
    String password = request.getParameter("password");
    String redirect = request.getParameter("redirect");
    String userID = "";
    
    if (redirect == null)
    {
        redirect = "null";
    }
    
    if ((userName == null) || (password == null))
    {
        userName = "null";
        password = "null";
    }
    
    if (userName.equals("null") == false) //if the user is tyring to login
    {
        // get the relevant info from the database
        String query = "SELECT admin, site_color, link_color FROM customers WHERE User_id='" + userName + "' AND Password='" + password + "';";
        Statement statement = connection.createStatement();
        ResultSet results = statement.executeQuery(query);
        
        if (results.next()) // if they exist in the database, log them in
        {
            goodLogin = true;
            currentUser.setUserID(userName);
            currentUser.setSiteColor(results.getString("site_color"));
            currentUser.setLinkColor(results.getString("link_color"));
            
            if (results.getString("admin").equals("1"))
            {
                currentUser.setAdmin(true);
            }
            else
            {
                currentUser.setAdmin(false);
            }
        }
        else // otherwise, they either don't exist in the database or typed in the wrong password.  Doesn't matter.
        {
            goodLogin = false;
        }
    }
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
        <title>CD Store - Login</title>
    </head>
    <% String linkColor = currentUser.getLinkColor(); %>
    <body link="<%= linkColor %>" alink="<%= linkColor %>" vlink="<%= linkColor %>">
        <%@ include file="tableupper.jsp" %>
        <%
                    
        // if the user came to the page from the shopping cart page or from the review page, send them on to the right page.  Otherwise, display that they are now logged in.
        if ((redirect.equals("newreview") == true) && (goodLogin))
        {
            String tempCD = request.getParameter("cd");
            out.println("<meta http-equiv=\"refresh\" content=\"0;newreview.jsp?cd=" + tempCD + "\">");
        }
        else if ((redirect.equals("purchase") == true) && (goodLogin))
        {
            out.println("<meta http-equiv=\"refresh\" content=\"0;purchase.jsp\">");
        }
        else if ((redirect.equals("null")) && (goodLogin))
        {
            out.println("<center><h1>You are now logged in as " + userName + ".</h1></center>");
        }
        else // the user either didn't log in correctly or hasn't logged in yet, either way, display the form
        {
            if ((!goodLogin) || (userName.equals("null"))) 
            {
                // the user doesn't need to be redirected.
                if (redirect.equals("null"))
                {
                    out.println("<form action=\"login.jsp\" method=\"POST\">");
                }
                else
                {
                    // if the user needs to be redirected, make sure the form passes the right information
                    if (redirect.equals("newreview") == true)
                    {
                        String cd = request.getParameter("cd");
                        out.println("<form action=\"login.jsp?redirect=" + redirect + "&cd=" + cd + "\" method=\"POST\">");
                    }
                    else if (redirect.equals("purchase") == true)
                    {
                        out.println("<form action=\"login.jsp?redirect=" + redirect + "\" method=\"POST\">");
                    }
                }
            }
        %>
            <table align="center" border="0" width="80%">
                <tr>
                    <td align="center" colspan="2"><img src="images/login.gif" alt="Login"/></td>
                </tr>
                
                <%
                if ((!goodLogin) && (userName.equals("null") == false))
                {
                %>
                    <tr>
                        <td align="center" colspan="2"><font color="red"><b>Invalid user name or password</b></font></td>
                    </tr>
                <%
                }
                %>
                
                <tr>
                    <td align="right">User Name: <input type="text" name="userName" size="16">  </td>
                    <td align="left"><a href="register.jsp">First Time User?</a></td>
                </tr>
                <tr>
                    <td align="right">Password: <input type="password" name="password" size="16"></td>
                    <td align="left"><a href="forget.jsp">  Forget Your Password?</a></td>
                </tr>
                <tr>
                    <td colspan="2" align="center"><input type="reset"><input type="submit" value="Sign in"></td>
                </tr>
            </table>
            </form>
        <%
        }
        
        connection.close();
        %>
        <%@ include file="tablelower.jsp" %>
    </body>
</html>