<%@ include file="beans.jsp" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.text.*" %>
<%
    String url = "jdbc:mysql://localhost/cdstore";

    String username = "root";
    String password = "password";
    
    Connection connection = null;
    String classPath = "org.gjt.mm.mysql.Driver";
    
    try
    {
        Class.forName( classPath );			
        connection = DriverManager.getConnection( url, username, password );
    }
    catch (Exception e)
    {
        out.println(e.toString());
    }

  
  String cdID = request.getParameter("cd");
  if (cdID == null)
  {
    cdID = "null";
  }
  
  String cdQuery = "SELECT * FROM cds WHERE id=" + cdID + ";";
  String reviewQuery = "SELECT * FROM reviews WHERE cd_id=" + cdID + ";";
  Statement statement = connection.createStatement();
  Statement statement2 = connection.createStatement();
  ResultSet cdResults = statement.executeQuery(cdQuery);
  ResultSet reviewResults = statement2.executeQuery(reviewQuery);
  cdResults.next();
  String title= cdResults.getString("title");
  String id=  cdResults.getString("id");
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=ISO-8859-1">
        <title>
            CD Store - Review for <%= title %>
        </title>
    </head>
    <% String linkColor = currentUser.getLinkColor(); %>
    <body link="<%= linkColor %>" alink="<%= linkColor %>" vlink="<%= linkColor %>">
        <%@ include file="tableupper.jsp" %>
        <% String cdCover = cdResults.getString("picture"); %>
        <%
            double tempPrice = Double.parseDouble(cdResults.getString("price"));
            String price = NumberFormat.getCurrencyInstance(Locale.US).format(tempPrice);
        %>
        <table border="0">
            <tr>
                <td><img src="<%= cdCover %>" alt="cover" height="150" width="150"/></td>
                <td>
                    <table border="0">
                        <tr>
                            <th align="left" width="100">Title:</th>
                            <td align="left" width="250"><% out.print(title); %></td>
                        </tr>
                        <tr>
                            <th align="left">Artist:</th>
                            <td align="left"><%= cdResults.getString("artist") %></td>
                        </tr>
                        <tr>
                            <th align="left">Genre:</th>
                            <td align="left"><%= cdResults.getString("genre") %></td>
                        </tr>
                        <tr>
                            <th align="left">CD length:</th>
                            <td align="left"><%= cdResults.getString("length") %> minutes</td>
                        </tr>
                        <tr>
                            <th align="left">Release date:</th>
                            <td align="left"><%= cdResults.getString("release_date") %></td>
                        <tr>
                            <th align="left">Price:</th>
                            <td align="left"><%= price %></td>
                        </tr>
                        <tr>
                            <%
                            if (currentUser.isAdmin() == false)
                            {
                            %>
                                <td align="left"><a href="cart.jsp?add=<%=id%>">Add to cart</a></td>
                            <%
                            }
                            else
                            {
                            %>
                                <td align="left"><br></td>
                            <%
                            }
                            %>
                            <td><br/></td>
                        </tr>
                    </table>
                </td>
            </tr>
            </table>
                    
                    <table border="0" width=85%">
                        <tr>
                            <th colspan="3"><br/></th>
                        </tr>
                    <tr>
                    <%
                    if (currentUser.getUserID().equals("null"))
                    {
                    %>
                        <td colspan="3"><a href="login.jsp?redirect=newreview&amp;cd=<%= id %>">Add your own review</a></td>
                    <%
                    }
                    else
                    {
                    %>
                        <td colspan="3"><a href="newreview.jsp?cd=<%= id %>">Add your own review</a></td>
                    <%
                    }
                    %>
                    </tr>
                <%
                    int resultCount = 0;
                    while (reviewResults.next())
                    {
                        resultCount = resultCount + 1;
                %>
                        <tr>
                            <td colspan="3"><hr/></td>
                        </tr>
                        <tr>
                            <td colspan="2"><b>User:</b> <%= reviewResults.getString("user_id") %></td>
                            <td><b>Rating:</b> <%= reviewResults.getString("rating") %>/10</td>
                        </tr>
                        <tr>
                            <td colspan="3"><b>Comment: </b><%= reviewResults.getString("comment") %></td>
                        </tr>
                        <tr>
                            <td colspan="3"><br></td>
                        </tr>
                <%
                    }
                    
                    if (resultCount == 0)
                    {
                %>
                        <tr>
                            <td colspan="3"><hr/></td>
                        </tr>
                        <tr>
                            <td colspan="3" align="center"><font color="red">There are now reviews of this product</font></td>
                        </tr>
                <%
                    }
                %>
                    <tr>
                        <td colspan="3"><hr/></td>
                    </tr>
                    
                    <tr>
                    <%
                    if (currentUser.getUserID().equals("null"))
                    {
                    %>
                        <td colspan="3"><a href="login.jsp?redirect=newreview&amp;cd=<%=id%>">Add your own review</a></td>
                    <%
                    }
                    else
                    {
                    %>
                        <td colspan="3"><a href=newreview.jsp?cd=<%= id %>>Add your own review</a></td>
                    <%
                    }
                    %>
                    </tr>
                </table>
            <%
            connection.close();
            %>
        <%@ include file="tablelower.jsp" %>
    </body>
</html>